<?php

require_once "vendor/autoload.php";

use App\Libreria\Conexion;

new Conexion();

use App\Models\Nivel;


if (isset($_POST['agregar']) and !empty($_POST['agregar'])) {
    if ($_POST['tipo_acceso'] == "") {
        $_SESSION['respuesta'] = [
            'error' => "El campo tipo no puede estar vacio"
        ];
        header("Location: " . $_SERVER["HTTP_REFERER"]);
    } else {
        $post_tipoacceso = strtoupper($_POST['tipo_acceso']);

        /**si existe el tipo de acceso */
        $tipo_acceso = Nivel::where('nombre', $post_tipoacceso)->first();
        if ($tipo_acceso) {
            $_SESSION['respuesta'] = [
                'error' => "Ya existe el tipo de acceso"
            ];
            header("Location: " . $_SERVER["HTTP_REFERER"]);
        }else{
            $tipo_acceso2 = new Nivel;
            $tipo_acceso2->nombre = $post_tipoacceso;
            $tipo_acceso2->save();
    
            $_SESSION['respuesta'] = [
                'success' => "Se agrego un tipo de acceso " . $post_tipoacceso
            ];
            header("Location: " . $_SERVER["HTTP_REFERER"]);
        }
    }
}

echo 'vacio';
